## org.hibernate.ejb
Class Ejb3ConfigurationObjectFactory

    java.lang.Object
      org.hibernate.ejb.Ejb3ConfigurationObjectFactory

All Implemented Interfaces:
  ObjectFactory

    public class Ejb3ConfigurationObjectFactory

extends Object
implements ObjectFactory

Author:
  Emmanuel Bernard

Constructor Summary
`Ejb3ConfigurationObjectFactory()`

Method Summary
`Object` `getObjectInstance(Object reference, Name name, Context nameCtx, Hashtable<?,?> environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ejb3ConfigurationObjectFactory

    public Ejb3ConfigurationObjectFactory()

Method Detail

### getObjectInstance

    public Object getObjectInstance(Object reference,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable<?,?> environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.